Simple In/Out API v4 Documentation

Welcome to the Simple In/Out API! You can use our API to access Simple In/Out data. You can request both read and write access.

The Simple In/Out v4 API is a RESTful (mostly) API protected by OAuth 2.

Rate Limiting

APIv4 is protected by daily rate limits. Currently, your application can access APIv4 up to 10,000 times per 24 hour period. Every request to APIv4 will return with two headers: X-RateLimit-Limit and X-RateLimit-Remaining. X-RateLimit-Limit will indicate the total number of requests that can be made against APIv4 over a 24 hour period (always 10,000 for now). X-RateLimit-Remaining will indicate how many requests you have left.

When you’ve run out of requests, APIv4 will return a HTTP status of 429 indicating Too Many Requests.

Expansions

Some of our APIs allow you to include additional information. This saves on API calls, as you can retrieve related information in the primary call and avoid additional requests.

When an API supports including additional information, it does so via the expand query parameter. This is a comma-delimited list of resources to include. We support expansions via embedding directly into the payload.

The Meta object

Most API payloads include a meta object to provide additional details about the requested resource(s). This includes paging most often, and sometimes additional information about the user making the request. For some payloads there may be additional items in the meta.

Here’s an example of a meta object

{"meta": {
  "paging": {
    "page": 1,
    "page_size": 25,
    "page_count": 2,
    "count": 47,
    "previous_page": null,
    "next_page": 2,
    "first_href": "https://www.simpleinout.com/api/v4/beacons",
    "last_href": "https://www.simpleinout.com/api/v4/beacons?page=2",
    "previous_href": null,
    "next_href": "https://www.simpleinout.com/api/v4/beacons?page=2"
  },
  "last_updated_at": {
    "announcements": 1435258926,
    "beacons": 1435250484,
    "favorites": 1437151284,
    "fences": 1436546484,
    "groups": 1436287284,
    "networks": 1436287284,
    "settings": 1439916084
  },
  emergency: nil
}}

Pagination

Pagination occurs when requesting multiple objects. Information about this appears in the meta object.

Name Description
page the page number currently being returned
page_size the number of results per page
page_count the total number of pages available
count the total number of results
previous_page the number of the previous page
next_page the number of the next page
first_href the URL of the API call for the first page of results
last_href the URL of the API call for the last page of results
previous_href the URL of the API call for the page of results prior to the current page
next_href the URL of the API call for the page of results after the current page

Last Update At

The last_updated_at attribute in the meta object returns the epoch time indicating the last time certain resources have been updated. This applies to the authorized user’s company. By storing these dates, you can discover when resources have been updated without having to poll those resources on a regular basis.

If Modified Since and If None Match

Most of the GET requests to the API support the If-Modified-Since and If-None-Match headers. If these two headers are present, the GET request will only return a payload if the relevant data has been updated since the time specified in the If-Modified-Since header and the ETag in the If-None-Match header. If it has been updated since, the payload will be the same as usual. If the data has not been updated, the return will be empty with a HTTP status of 304 (Not Modified). The format of the time is in the HTTP specification, while the ETag should be the same as that returned when a request has been made previously.

When a GET API returns data, the Last-Modified header will be present providing the exact time it’s been modified. This date should be used for future If-Modified-Since requests. The ETag header will be present providing the hash value representing the returned payload. This hash should be used for future If-None-Match requests.

Range Searching

Some integer or date/time fields can be searched by using operators. This permits exact searches, as well as less than, greater than, or between. For these fields, you have an array of options.

  • For exact matches, simply include the value. Date/time fields use epoch time, so it’s almost impossible to get an exact match to the second. Examples are 18 or 1524168783.
  • For ranges based on a single value, you may prepend a symbol to the front of the value. The symbols <, >, <=, or >= are supported. Examples are <18 or >=1524168783.
  • For between range searches, the .. operator is used in between the two values. This includes the values on both ends, as well as those in between. Examples are 9..18 or 1523854800..1524459599.

Sorting

When requesting multiple objects, most of the time you’ll have some sorting options available. Sorting occurs by passing in the sort query parameter. The value is a comma-delimited string of fields in the order you wish them to be sorted. By default, all fields will sort in ascending fashion, but you can sort in descending fashion by including a - sign before the field. An example of this would be sort=name,-begin_at.

Errors

Error objects in Simple In/Out consist of three parts: code, message, and details.

  • code corresponds with those listed below. These provide context as to what type of error occurred.
  • message is an English plain-text reading of what happened. This should be used for further developer debugging, but should not be relied on to remain consistent over time. While these messages can be displayed to end-users, it is highly discouraged as they can change without notice and they are always going to be in English.
  • details provides an array of information in the case of validation failures. This will typically be populated with 5005 validation errors, though they also can appear with improperly formatted status updates (2002). The format of the objects in the array are key: value pairs, whereby key is the name of a field and value is one of a number of possible strings to indicated more specifically what was invalid with the input. Please note that while the key will typically be a parameter on the object, it can occasionally be base for errors that fail validation but don’t apply to a particular field.

An example of an error payload:

{
  "code": 5005,
  "message": "Validation Failure: Name can't be blank, UUID is invalid, Beacons exceed company limit of 100",
  "details": [
    { "name": "blank" },
    { "uuid": "invalid" },
    { "base": "greater_than" }
  ]
}

Error Codes

1002: Company is Disabled

Either the user’s company was on a trial and the trial has expired or the company has let their subscription to Simple In/Out expire. This error will present itself on almost all APIs and will return with the status code 403.


2002: Status Failure

The status update could not be completed.


5001: Bad Range

The integer or date value/range is invalid.


5002: Unknown Sort

The sort requested does not exist. The full message of this error will provide more explanation.


5003: Unknown Expansion

The expansion requested does not exist. The full message of this error will provide more explanation.


5005: Validation Failure

When attempting to create/update/delete the object, some data was either missing or invalid. The full message of this error will provide more explanation.


5007: Parameters Missing

A required parameter for this API was missing.


5008: Array Required

A parameter which is required to be an array was passed something other than an array.


5009: Unknown Only

The only field requested does not exist. The full message of this error will provide more explanation.


5010: Invalid Float

The floating point number is invalid.


5012: Invalid JSON

The posted JSON body is invalid.


5013: Invalid Page Size of Zero

The page_size parameter cannot be zero.


5014: Invalid mime-type requested

An invalid mime-type was requested.

Error Details

taken

The attribute is not unique

inclusion

The attribute is not in the list of acceptable values

invalid

The attribute is not valid

empty

The attribute cannot be empty

blank

The attribute cannot be blank

too_long

The attribute is too long

not_a_hex

The attribute is not a valid hex color code

not_a_number

The attribute is not a number

not_an_integer

The attribute is not an integer

greater_than

The attribute is greater than a predefined limit

greater_than_or_equal_to

The attribute is greater than or equal to a predefined limit

less_than

The attribute is less than a predefined floor

less_than_or_equal_to

The attribute is greater than or equal to a predefined floor

too_long

The attribute is longer than allowed

too_short

The attribute is shorter than allowed

Forbidden Requests (403)

When the user is authenticated, but doesn’t have the necessary permissions to perform an action, the server will respond with the status code of 403 and include the user’s privileges in the payload.

Example payload:

{
  "company": {
    "id": "1",
    "scheduled_statuses": true
  },
  "user": {
    "id": "5",
    "roles": {
      "name": "Regular User",
      "billing": false
      "followed_users": false,
      "reminders": false,
      "safeties": false,
      "user_board": true,
      "manage_all_announcements": true,
      "manage_company_and_users": false,
      "manage_groups_and_memberships": false,
      "manage_member_announcements": false,
      "manage_others_archives": false,
      "manage_others_futures": false,
      "manage_others_status": false,
      "manage_own_archives": false,
      "manage_own_futures": true,
      "manage_own_status": true,
      "manage_status_automatically": true,
      "view_others_archives": true,
      "view_others_futures": true,
      "view_others_reports": false,
      "view_user_board_updated_at": true,
      "member_board": false,
      "manage_member_archives": false,
      "manage_member_futures": false,
      "manage_member_status": false,
      "view_all_announcements": true,
      "view_member_announcements": false,
      "view_member_archives": false,
      "view_member_futures": false,
      "view_member_reports": false,
      "created_at": 1506268448,
      "updated_at": 1506269853
    }
  }
}

The privileges payload may not exist on all forbidden responses. In the cases when an error code is used, such as when a company is disabled, only the code and message will be returned.

Web Hooks

Web Hooks are a great way to be notified when something happens inside Simple In/Out. When you add a Web Hook URL to Simple In/Out, we’ll send a request to that URL with JSON in the body to tell you about things that have happened.

Currently, this applies to only three event types: status.new, status.schedule, and status.destroy, though many may be added in the future. It is strongly advised that you code against the type attribute on the root of the JSON object to avoid new event types being added in the future having unexpected impacts on your code.

The root JSON keys define the basics and out of the box are compatible with Slack’s incoming webhooks. This also means that the text with be formatted in Markdown. Within the data object is much of the information specific to Simple In/Out, including ids that can be used in combination with APIv4 to request further information.

{
  "username": "Bojack Horseman",
  "email": "bojack@simplymadeapps.com",
  "icon_url": "http://bojackhorseman.com/avatar.gif",
  "text": "*In*: In Hollywoo",
  "type": "status.new",
  "data": {
    "user_id": "34858",
    "status": "in",
    "comment": "In Hollywoo",
    "created_at": 1448046759,
    "admin": {
      "id": "2844", "name": "Princess Carolyn"
    },
    "application": {
      "id": "84774", "name": "Simple In/Out iOS"
    }
  }
}



Announcements

Create a announcement

Creates a new announcement. Once this announcement is created, it will appear in the company’s announcements within the Simple In/Out apps. Users must have a role that permits managing announcements to create announcements. Companies are limited to 100 announcements.

Endpoint

POST /api/v4/announcements

Parameters

Name Description
announcement[message] required (string) the name of the announcement
announcement[push] (boolean) whether this announcement should trigger a push notification to users, defaults to false
announcement[group_id] (string) restrict the announcement to a specific group, defaults to no restrictions
announcement[expires_at] (integer) the epoch time when the announcement should expire, defaults to no expiration
expand (string) comma-delimited list of extra information to include in the response, possibilities include: 'user'

Request

Route

POST /api/v4/announcements

Headers

Content-Type: application/json
Authorization: Bearer TSjPtWxWCgrIZ4nk_DlvAwKB9DmFWYl3bJ65cw20O04

Body

{
  "announcement": {
    "message": "Evacuate the building",
    "push": false,
    "group_id": "65",
    "expires_at": 1777477596
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/announcements" -d '{"announcement":{"message":"Evacuate the building","push":false,"group_id":"65","expires_at":1777477596}}' -X POST \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer TSjPtWxWCgrIZ4nk_DlvAwKB9DmFWYl3bJ65cw20O04"

Response

Simulated Response

Response Fields

Name Description
announcements (object) the newly created announcement attributes

Status

201

Headers

etag: W/"0d8023f75b3ea332e40b015166f14969"

Body

{
  "announcements": {
    "id": "4",
    "group_id": "65",
    "user_id": "1469",
    "message": "Evacuate the building",
    "push": false,
    "expires_at": 1777477596,
    "created_at": 1777391196,
    "updated_at": 1777391196
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1777391196,
      "beacons": 1774280796,
      "desktop_presences": 1775317596,
      "favorites": 1769705196,
      "fences": 1769273196,
      "groups": 1777391196,
      "networks": 1777391196,
      "roles": 1777391196,
      "settings": 1777391196
    },
    "emergency": null
  }
}

Delete an announcement

Deletes an existing announcement. Users must have a role that permits managing the announcements to delete announcements.

Endpoint

DELETE /api/v4/announcements/:id

Request

Route

DELETE /api/v4/announcements/3

Headers

Content-Type: application/json
Authorization: Bearer 94G1TnDqJGqZe269xfvr8qjt183yzF46TNK9Q9u6ptQ

cURL

curl "https://www.simpleinout.com/api/v4/announcements/3" -d '' -X DELETE \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer 94G1TnDqJGqZe269xfvr8qjt183yzF46TNK9Q9u6ptQ"

Response

Simulated Response

Status

204

List all announcements

Return a list of all the announcements belonging to the company.

Endpoint

GET /api/v4/announcements

Parameters

Name Description
sort (string) order of the return with optional '-' to denote descending, possibilities include: 'name'
page_size (integer) number of results to return per page, defaults to 25
page (integer) page number of results
expand (string) comma-delimited list of extra information to include in the response, possibilities include: 'user'

Request

Route

GET /api/v4/announcements

Headers

Content-Type: application/json
Authorization: Bearer YJYELl4EmtMty_GRDb6tcdrfWteXMJ_k7oO2gVNaiCM

cURL

curl -g "https://www.simpleinout.com/api/v4/announcements" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer YJYELl4EmtMty_GRDb6tcdrfWteXMJ_k7oO2gVNaiCM"

Response

Simulated Response

Response Fields

Name Description
announcements (array) an array of announcements

Status

200

Headers

etag: W/"509c14b1973605a64367a893efa5e887"
last-modified: Tue, 28 Apr 2026 15:46:35 GMT

Body

{
  "announcements": [
    {
      "id": "1",
      "group_id": null,
      "user_id": "1467",
      "message": "Et deleniti explicabo fugit.",
      "push": false,
      "expires_at": 1777477595,
      "created_at": 1777391195,
      "updated_at": 1777391195
    },
    {
      "id": "2",
      "group_id": null,
      "user_id": "1467",
      "message": "Soluta qui laboriosam itaque.",
      "push": false,
      "expires_at": 1777477595,
      "created_at": 1777391195,
      "updated_at": 1777391195
    }
  ],
  "meta": {
    "paging": {
      "page": 1,
      "page_size": 25,
      "page_count": 1,
      "count": 2,
      "previous_page": null,
      "next_page": null,
      "first_href": "http://example.org/api/v4/announcements",
      "last_href": "http://example.org/api/v4/announcements",
      "previous_href": null,
      "next_href": null
    },
    "last_updated_at": {
      "announcements": 1777391195,
      "beacons": 1770741995,
      "desktop_presences": 1769618795,
      "favorites": 1769359595,
      "fences": 1776527195,
      "groups": 1770396395,
      "networks": 1770914795,
      "roles": 1777391195,
      "settings": 1777391195
    },
    "emergency": null
  }
}

Authentication

Authorization

Authorization is required to access the Simple In/Out API. This results in a HTTP 302 redirect to simpleinout.com. There, Simple In/Out will ask the user for their credentials and verify they wish to grant your application permission to act on their behalf. If they allow it, Simple In/Out will send a request to your redirect_uri with a code that you can use in the Authorization Code grant to have access and refresh tokens to access the API.

Endpoint

GET /oauth/authorize

Parameters

Name Description
response_type required (string) the type of authorization to use, in this case always 'code'
client_id required (string) your API client key
redirect_uri required (string) the URI to return the user to after authenticating, must match those registered with Simple In/Out
scope required (string) requested scope, either 'read' or 'write', by default 'read'
locale (string) the language for authorization. Available locales: en, en-au, en-ca, en-gb, de, es, fr, fr-ca. Defaults to 'en'

Request

Route

GET /oauth/authorize?response_type=code&client_id=PLACE_YOUR_API_CLIENT_ID_HERE&redirect_uri=https%3A%2F%2Fwww.simplymadeapps.com%2Fredirect%2Furl&scope=write&locale=en

Headers

Content-Type: application/json

Query Parameters

response_type=code
client_id=PLACE_YOUR_API_CLIENT_ID_HERE
redirect_uri=https://www.simplymadeapps.com/redirect/url
scope=write
locale=en

cURL

curl -g "https://www.simpleinout.com/oauth/authorize?response_type=code&client_id=PLACE_YOUR_API_CLIENT_ID_HERE&redirect_uri=https%3A%2F%2Fwww.simplymadeapps.com%2Fredirect%2Furl&scope=write&locale=en" -X GET \
	-H "Content-Type: application/json"

Response

Simulated Response

Status

302

Authorization Code grant

Authorization Code should be used for accessing the API on behalf of a particular user. This is useful for pulling information about the user, or customizing the return of some APIs by the user’s preference.

The first step here is to have your user authorize your app for use. To do this, send your user to our site as noted to the left, passing your client_id and your redirect_uri. We’ll handle asking for the user, authenticating they are who they say they are, and handling the authorization (asking the user for permission on your behalf).

Once your user successfully authorizes your application, they will be redirected back to you. In this response will be a code in the form of a query string. Use this code to request tokens from Simple In/Out. You’ll then receive an access token and refresh token.

Endpoint

POST /oauth/token

Parameters

Name Description
grant_type required (string) type of grant to use
client_id required (string) your API client key
client_secret required (string) your API client secret
code required (string) if using Authorization Code grant, this is the code that is returned from Simple In/Out
redirect_uri required (string) the URI to return the user to after authenticating, must match those registered with Simple In/Out
scope (string) requested scope, either 'read' or 'write', defaults to 'read'

Request

Route

POST /oauth/token

Headers

Content-Type: application/json

Body

{
  "grant_type": "authorization_code",
  "client_id": "YOUR_API_CLIENT_ID",
  "client_secret": "YOUR_API_CLIENT_SECRET",
  "code": "r_nCagpfMYzutOcor7HFZG_vfKyFLfXmGdoXVA7WTTY",
  "redirect_uri": "https://www.simplymadeapps.com/redirect/url"
}

cURL

curl "https://www.simpleinout.com/oauth/token" -d '{"grant_type":"authorization_code","client_id":"YOUR_API_CLIENT_ID","client_secret":"YOUR_API_CLIENT_SECRET","code":"r_nCagpfMYzutOcor7HFZG_vfKyFLfXmGdoXVA7WTTY","redirect_uri":"https://www.simplymadeapps.com/redirect/url"}' -X POST \
	-H "Content-Type: application/json"

Response

Simulated Response

Response Fields

Name Description
access_token (string) the access token used to make API requests
refresh_token (string) used with the Refresh Token grant type to request a new token
token_type (string) identifies the type of token
expires_in (integer) length of time, in seconds, that the token will be honored
scope (string) the scope of the token, either 'read' or 'write'
created_at (integer) the time the token was issued
user (object) the authenticated user's id, company id, and role.

Status

200

Headers

etag: W/"0c3a50166209de15635f8c463085f2ba"

Body

{
  "access_token": "ChFN8cek1AWZK_mGth5o7Tn7CuIsaqTk5V8lbBds0ec",
  "token_type": "Bearer",
  "expires_in": 7200,
  "refresh_token": "eD1jbrnkrTSjLtQ4RsxvYYGYMfvEel1esQdt5ut_mb0",
  "scope": "write",
  "created_at": 1777391195,
  "user": {
    "id": "1465",
    "company_id": "940",
    "roles": {
      "id": "3991",
      "name": "Administrator",
      "billing": true,
      "followed_users": true,
      "reminders": true,
      "safeties": true,
      "user_board": true,
      "manage_all_announcements": true,
      "manage_company_and_users": true,
      "manage_member_announcements": false,
      "manage_groups_and_memberships": true,
      "manage_others_archives": true,
      "manage_others_futures": true,
      "manage_others_status": true,
      "manage_own_archives": true,
      "manage_own_futures": true,
      "manage_own_status": true,
      "manage_status_automatically": true,
      "view_others_archives": true,
      "view_others_futures": true,
      "view_others_reports": true,
      "view_user_board_updated_at": true,
      "member_board": false,
      "manage_member_archives": false,
      "manage_member_futures": false,
      "manage_member_status": false,
      "view_all_announcements": true,
      "view_member_announcements": false,
      "view_member_archives": false,
      "view_member_futures": false,
      "view_member_reports": false,
      "created_at": 1777391195,
      "updated_at": 1777391195
    }
  }
}

Refresh Token grant

Refresh Token should be used to renew your access token in the event that it has expired. This is useful for regaining access without again having to as the user for credentials.

Endpoint

POST /oauth/token

Parameters

Name Description
grant_type required (string) type of grant to use, in this case always 'refresh_token'
client_id required (string) your API client key
client_secret required (string) your API client secret
refresh_token required (string) your refresh token

Request

Route

POST /oauth/token

Headers

Content-Type: application/json

Body

{
  "grant_type": "refresh_token",
  "client_id": "YOUR_API_CLIENT_ID",
  "client_secret": "YOUR_API_CLIENT_SECRET",
  "refresh_token": "osm5x33j2wd6rlsnwenrdrlgk1jpgsi5"
}

cURL

curl "https://www.simpleinout.com/oauth/token" -d '{"grant_type":"refresh_token","client_id":"YOUR_API_CLIENT_ID","client_secret":"YOUR_API_CLIENT_SECRET","refresh_token":"osm5x33j2wd6rlsnwenrdrlgk1jpgsi5"}' -X POST \
	-H "Content-Type: application/json"

Response

Simulated Response

Response Fields

Name Description
access_token (string) the access token used to make API requests
refresh_token (string) used with the Refresh Token grant type to request a new token
token_type (string) identifies the type of token
expires_in (integer) length of time, in seconds, that the token will be honored
scope (string) the scope of the token, either 'read' or 'write'
created_at (integer) the time the token was issued
user (object) the authenticated user's id and role.

Status

200

Headers

etag: W/"e84d3bf269cba67fcc8bdedb604b7ffd"

Body

{
  "access_token": "uLAscViCsla1yTAxKygwBLx0LEJfatJOoJuGgxMZUT8",
  "token_type": "Bearer",
  "expires_in": 604800,
  "refresh_token": "o8JINpTIUVjcQOWrZBddUpQa2C99EnycCGrPVdcEtpg",
  "scope": "write",
  "created_at": 1777391195,
  "user": {
    "id": "1462",
    "company_id": "938",
    "roles": {
      "id": "3983",
      "name": "Administrator",
      "billing": true,
      "followed_users": true,
      "reminders": true,
      "safeties": true,
      "user_board": true,
      "manage_all_announcements": true,
      "manage_company_and_users": true,
      "manage_member_announcements": false,
      "manage_groups_and_memberships": true,
      "manage_others_archives": true,
      "manage_others_futures": true,
      "manage_others_status": true,
      "manage_own_archives": true,
      "manage_own_futures": true,
      "manage_own_status": true,
      "manage_status_automatically": true,
      "view_others_archives": true,
      "view_others_futures": true,
      "view_others_reports": true,
      "view_user_board_updated_at": true,
      "member_board": false,
      "manage_member_archives": false,
      "manage_member_futures": false,
      "manage_member_status": false,
      "view_all_announcements": true,
      "view_member_announcements": false,
      "view_member_archives": false,
      "view_member_futures": false,
      "view_member_reports": false,
      "created_at": 1777391195,
      "updated_at": 1777391195
    }
  }
}

Revoke a token

Revokes a token, rendering it invalid.

Endpoint

POST /oauth/revoke

Parameters

Name Description
client_id required (string) your API client key
client_secret required (string) your API client secret
token required (string) the token to revoke

Request

Route

POST /oauth/revoke

Headers

Content-Type: application/json

Body

{
  "client_id": "5642215041840",
  "client_secret": "5934014756262",
  "token": "2MgwL_n0xFt1dbbVxo3b754KRTBYepLBQWHdT2PHT_k"
}

cURL

curl "https://www.simpleinout.com/oauth/revoke" -d '{"client_id":"5642215041840","client_secret":"5934014756262","token":"2MgwL_n0xFt1dbbVxo3b754KRTBYepLBQWHdT2PHT_k"}' -X POST \
	-H "Content-Type: application/json"

Response

Simulated Response

Status

200

Headers

etag: W/"44136fa355b3678a1146ad16f7e8649e"

Body

{}

Token information

Provides details about the OAuth token.

Endpoint

GET /oauth/token/info

Request

Route

GET /oauth/token/info

Headers

Content-Type: application/json
Authorization: Bearer MCvLGqMA7sNaH7lRluWvoR72mlDM7ejB6xoY4dBFweU

cURL

curl -g "https://www.simpleinout.com/oauth/token/info" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer MCvLGqMA7sNaH7lRluWvoR72mlDM7ejB6xoY4dBFweU"

Response

Simulated Response

Response Fields

Name Description
resource_owner_id (integer) the id of the user
scopes (array) the scopes this token is authorized to use
expires_in_seconds (integer) the number of seconds until the token expires
application (object) information about the application
created_at (integer) the time the token was issued

Status

200

Headers

etag: W/"1fd6a5d95a75881601b0413c51a985dd"

Body

{
  "resource_owner_id": 1461,
  "scope": [
    "read"
  ],
  "expires_in": 604800,
  "application": {
    "uid": "6312462908201"
  },
  "created_at": 1777391195
}

Beacons

Create a beacon

Creates a new beacon. Once this beacon is created, it will appear in the company’s beacons within the Simple In/Out apps. The UUID can then be added to a hardware beacon to broadcast. Users must have a role that permits managing the company to create beacons. Companies are limited to 100 Beacons.

Endpoint

POST /api/v4/beacons

Parameters

Name Description
beacon[name] required (string) the name of the beacon
beacon[uuid] (string) the unique beacon identifier
beacon[comment_on_entry] (string) the comment applied to status updates on entry, defaults to 'In at {name}'
beacon[comment_on_exit] (string) the comment applied to status updates on exit, defaults to 'Left {name}'
beacon[status_on_entry] (string) the status to apply on entry: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'in'
beacon[status_on_exit] (string) the status to apply on exit: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'out'

Request

Route

POST /api/v4/beacons

Headers

Content-Type: application/json
Authorization: Bearer 5XbUoI199EGDy8naOUgHvlbRnhTphLH9fcoAA-zzha4

Body

{
  "beacon": {
    "name": "My Office",
    "uuid": "6EA4801F-4D41-4114-AFA7-7EC977C81B41"
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/beacons" -d '{"beacon":{"name":"My Office","uuid":"6EA4801F-4D41-4114-AFA7-7EC977C81B41"}}' -X POST \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer 5XbUoI199EGDy8naOUgHvlbRnhTphLH9fcoAA-zzha4"

Response

Simulated Response

Response Fields

Name Description
beacons (object) the newly created beacon attributes

Status

201

Headers

etag: W/"b4a23491206c3afa00b0925532e36e40"

Body

{
  "beacons": {
    "id": "5",
    "name": "My Office",
    "uuid": "6EA4801F-4D41-4114-AFA7-7EC977C81B41",
    "comment_on_entry": "In at My Office",
    "comment_on_exit": "Left My Office",
    "entry": true,
    "exit": true,
    "status_on_entry": "in",
    "status_on_exit": "out",
    "created_at": 1777391199,
    "updated_at": 1777391199
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1777304799,
      "beacons": 1777391199,
      "desktop_presences": 1769445999,
      "favorites": 1770482799,
      "fences": 1776613599,
      "groups": 1773848799,
      "networks": 1769100399,
      "roles": 1777391199,
      "settings": 1777391199
    },
    "emergency": null
  }
}

Delete a beacon

Deletes an existing beacon. Users must have a role that permits managing the company to delete beacons.

Endpoint

DELETE /api/v4/beacons/:id

Request

Route

DELETE /api/v4/beacons/7

Headers

Content-Type: application/json
Authorization: Bearer eB0uUJ2674_tdqv8JvJ1p3bMoqiTGCznx6AMGC4L9SA

cURL

curl "https://www.simpleinout.com/api/v4/beacons/7" -d '' -X DELETE \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer eB0uUJ2674_tdqv8JvJ1p3bMoqiTGCznx6AMGC4L9SA"

Response

Simulated Response

Status

204

List all beacons

Return a list of all the beacons belonging to the company.

Endpoint

GET /api/v4/beacons

Parameters

Name Description
sort (string) order of the return with optional '-' to denote descending, possibilities include: 'name'
page_size (integer) number of results to return per page, defaults to 25
page (integer) page number of results

Request

Route

GET /api/v4/beacons

Headers

Content-Type: application/json
Authorization: Bearer F_FQp7F4tYij4U_8lkKnoUtcDMibAVxjIrymXsI4WhE

cURL

curl -g "https://www.simpleinout.com/api/v4/beacons" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer F_FQp7F4tYij4U_8lkKnoUtcDMibAVxjIrymXsI4WhE"

Response

Simulated Response

Response Fields

Name Description
beacons (array) an array of beacons

Status

200

Headers

etag: W/"751516b44387b8da5fde035bbd6ea90d"
last-modified: Tue, 28 Apr 2026 15:46:39 GMT

Body

{
  "beacons": [
    {
      "id": "3",
      "name": "2 - South Elvialand",
      "uuid": "92F17930-4B8A-42D1-B0E2-9B94E5F44260",
      "comment_on_entry": "In at 2 - South Elvialand",
      "comment_on_exit": "Left 2 - South Elvialand",
      "entry": true,
      "exit": true,
      "status_on_entry": "in",
      "status_on_exit": "out",
      "created_at": 1777391199,
      "updated_at": 1777391199
    },
    {
      "id": "4",
      "name": "3 - South Peggie",
      "uuid": "1C641A82-1341-4E78-9293-A4F0235F3245",
      "comment_on_entry": "In at 3 - South Peggie",
      "comment_on_exit": "Left 3 - South Peggie",
      "entry": true,
      "exit": true,
      "status_on_entry": "in",
      "status_on_exit": "out",
      "created_at": 1777391199,
      "updated_at": 1777391199
    }
  ],
  "meta": {
    "paging": {
      "page": 1,
      "page_size": 25,
      "page_count": 1,
      "count": 2,
      "previous_page": null,
      "next_page": null,
      "first_href": "http://example.org/api/v4/beacons",
      "last_href": "http://example.org/api/v4/beacons",
      "previous_href": null,
      "next_href": null
    },
    "last_updated_at": {
      "announcements": 1770137199,
      "beacons": 1777391199,
      "desktop_presences": 1774453599,
      "favorites": 1772642799,
      "fences": 1770223599,
      "groups": 1770741999,
      "networks": 1776095199,
      "roles": 1777391199,
      "settings": 1777391199
    },
    "emergency": null
  }
}

Update a beacon

Updates an existing beacon. Please note that if the UUID of the beacon is updated, any corresponding hardware must also be updated to broadcast the new UUID. Users must have a role that permits managing the company to update beacons.

Endpoint

PATCH /api/v4/beacons/:id

Parameters

Name Description
beacon[name] (string) the name of the beacon
beacon[uuid] (string) the unique beacon identifier
beacon[comment_on_entry] (string) the comment applied to status updates on entry, defaults to 'In at {name}'
beacon[comment_on_exit] (string) the comment applied to status updates on exit, defaults to 'Left {name}'
beacon[status_on_entry] (string) the status to apply on entry: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'in'
beacon[status_on_exit] (string) the status to apply on exit: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'out'

Request

Route

PATCH /api/v4/beacons/6

Headers

Content-Type: application/json
Authorization: Bearer AdmwSkXzvx7zuHLwd2m_DsMsQmeLfWdvUCjO_4i7WTQ

Body

{
  "beacon": {
    "name": "My Renamed Office"
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/beacons/6" -d '{"beacon":{"name":"My Renamed Office"}}' -X PATCH \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer AdmwSkXzvx7zuHLwd2m_DsMsQmeLfWdvUCjO_4i7WTQ"

Response

Simulated Response

Response Fields

Name Description
beacons (object) the newly updated beacon attributes

Status

200

Headers

etag: W/"e1bec25bb0bd27ef77ee837edd76b3fa"

Body

{
  "beacons": {
    "id": "6",
    "name": "My Renamed Office",
    "uuid": "5A5D6E92-4B77-4D71-90CA-E4E610A59D5D",
    "comment_on_entry": "In at 4 - South Clarence",
    "comment_on_exit": "Left 4 - South Clarence",
    "entry": true,
    "exit": true,
    "status_on_entry": "in",
    "status_on_exit": "out",
    "created_at": 1777391199,
    "updated_at": 1777391199
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1771087599,
      "beacons": 1777391199,
      "desktop_presences": 1774367199,
      "favorites": 1770309999,
      "fences": 1776095199,
      "groups": 1774712799,
      "networks": 1771260399,
      "roles": 1777391199,
      "settings": 1777391199
    },
    "emergency": null
  }
}

Companies

Retrieve the current company

Return the company the authorized user belongs to.

Endpoint

GET /api/v4/companies/my

Parameters

Name Description
expand (string) comma-delimited list of extra information to include in the response, possibilities include: 'billing', 'beacons', 'fences', 'groups', 'favorites', 'networks', 'roles'

Request

Route

GET /api/v4/companies/my

Headers

Content-Type: application/json
Authorization: Bearer 3QBX_QGfQzOK17_ZtqtzIjqyVSVyTFfcblU1NavRMZU

cURL

curl -g "https://www.simpleinout.com/api/v4/companies/my" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer 3QBX_QGfQzOK17_ZtqtzIjqyVSVyTFfcblU1NavRMZU"

Response

Simulated Response

Response Fields

Name Description
companies[name] (string) the authorized user's company name
companies[logo_url] (string) url of an image to be used as a fullscreen logo
companies[default_role_id] (string) the unique identifier for the default role
companies[scheduled_statuses] (boolean) whether Scheduled Statuses feature is enabled
companies[available_statuses] (array) the statuses that are available to the company
companies[created_at] (integer) epoch time the company was created

Status

200

Headers

etag: W/"ba53c4e1b087ab548e59f9ccd4034aca"
last-modified: Tue, 28 Apr 2026 15:46:36 GMT

Body

{
  "companies": {
    "id": "949",
    "announcements_enabled": true,
    "available_statuses": [
      "in",
      "out"
    ],
    "name": "Graham, Kohler and Pfeffer",
    "scheduled_statuses": true,
    "default_role_id": "4029",
    "logo_url": null,
    "created_at": 1777391196
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1776181596,
      "beacons": 1769100396,
      "desktop_presences": 1773935196,
      "favorites": 1771346796,
      "fences": 1771087596,
      "groups": 1776872796,
      "networks": 1774971996,
      "roles": 1777391196,
      "settings": 1777391196
    },
    "emergency": null
  }
}

Futures

Delete a future status

Deletes an existing scheduled status. The company must have scheduled statuses turned on. Users must have a role that permits managing their own scheduled statuses to delete one of their scheduled statuses. Users must have a role that permits managing the scheduled statuses of others to delete another user’s scheduled status.

Endpoint

DELETE /api/v4/futures/:id

Request

Route

DELETE /api/v4/futures/53

Headers

Content-Type: application/json
Authorization: Bearer ZQdjTlz6LqzbPCZSQW_v322ejYvwrnhoBorW5Edihmw

cURL

curl "https://www.simpleinout.com/api/v4/futures/53" -d '' -X DELETE \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer ZQdjTlz6LqzbPCZSQW_v322ejYvwrnhoBorW5Edihmw"

Response

Simulated Response

Status

204

List future statuses

List all the scheduled statuses. The company must have scheduled statuses turned on. Users must have a role that permits viewing the scheduled statuses of others or only the authorized user’s scheduled statuses will be returned.

Endpoint

GET /api/v4/futures

Parameters

Name Description
page_size (integer) number of results to return per page, defaults to 25
page (integer) page number of results
status (string) the status: 'in', 'remote', 'busy', 'break', 'out', 'sick', or 'vacation'
comment (string) the comment, case sensitive, included with the status change
apply_at (string) a date range string for the time this status will be added
user_id (string) the ID of a particular user
sort (string) order of the return with optional '-' to denote descending, possibilities include: 'apply_at', 'status', 'comment'"
sort_locale (string) the locale to use when sorting by comment, defaults to English (US)
expand (string) comma-delimited list of extra information to include in the response, possibilities include: 'user', 'changed_by_user'

Request

Route

GET /api/v4/futures

Headers

Content-Type: application/json
Authorization: Bearer zeWh5-otuGTCY4mYMSVZTS78CkCY6kjOj6uLdsONXnU

cURL

curl -g "https://www.simpleinout.com/api/v4/futures" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer zeWh5-otuGTCY4mYMSVZTS78CkCY6kjOj6uLdsONXnU"

Response

Simulated Response

Response Fields

Name Description
futures (array) an array of matching future statuses

Status

200

Headers

etag: W/"224d68dae180ee09e186f0ba00e5dfaf"
last-modified: Tue, 28 Apr 2026 15:46:40 GMT

Body

{
  "futures": [
    {
      "id": "54",
      "status": "out",
      "comment": "On Vacation, back Monday",
      "completed": false,
      "apply_at": 1779980400,
      "end_at": 1780239600,
      "user_id": "1562",
      "changed_by_user_id": null
    },
    {
      "id": "55",
      "status": "out",
      "comment": "At the conference this week",
      "completed": false,
      "apply_at": 1793199600,
      "end_at": null,
      "user_id": "1562",
      "changed_by_user_id": null
    }
  ],
  "meta": {
    "paging": {
      "page": 1,
      "page_size": 25,
      "page_count": 1,
      "count": 2,
      "previous_page": null,
      "next_page": null,
      "first_href": "http://example.org/api/v4/futures",
      "last_href": "http://example.org/api/v4/futures",
      "previous_href": null,
      "next_href": null
    },
    "last_updated_at": {
      "announcements": 1776872800,
      "beacons": 1769100400,
      "desktop_presences": 1770569200,
      "favorites": 1769186800,
      "fences": 1777045600,
      "groups": 1772297200,
      "networks": 1777045600,
      "roles": 1777391200,
      "settings": 1777391200
    },
    "emergency": null
  }
}

Geofences

Create a fence

Creates a new fence. Once this fence is created, it will appear in the company’s fences within the Simple In/Out apps and website. Users must have a role that permits managing the company to create fences. Companies are limited to 150 Geofences.

Endpoint

POST /api/v4/fences

Parameters

Name Description
fence[name] required (string) the name of the fence
fence[latitude] required (float) the latitude of the center point of the fence
fence[longitude] required (float) the longitude of the center point of the fence
fence[radius] required (integer) the radius of the fence, in meters
fence[comment_on_entry] (string) the comment applied to status updates on entry, defaults to 'In at {name}'
fence[comment_on_exit] (string) the comment applied to status updates on exit, defaults to 'Left {name}'
fence[status_on_entry] (string) the status to apply on entry: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'in'
fence[status_on_exit] (string) the status to apply on exit: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'out'

Request

Route

POST /api/v4/fences

Headers

Content-Type: application/json
Authorization: Bearer J6AqCqI5YajF4nv382xSkkP0RGyfUsDMCefiRtezWRE

Body

{
  "fence": {
    "name": "My Office",
    "latitude": 46.877931,
    "longitude": -96.787459,
    "radius": 150
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/fences" -d '{"fence":{"name":"My Office","latitude":46.877931,"longitude":-96.787459,"radius":150}}' -X POST \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer J6AqCqI5YajF4nv382xSkkP0RGyfUsDMCefiRtezWRE"

Response

Simulated Response

Response Fields

Name Description
fences (object) the newly created fence attributes

Status

201

Headers

etag: W/"a9154a2df503e6aefdd25abfa81ed752"

Body

{
  "fences": {
    "id": "4",
    "name": "My Office",
    "latitude": "46.877931",
    "longitude": "-96.787459",
    "radius": 150,
    "comment_on_entry": "In at My Office",
    "comment_on_exit": "Left My Office",
    "entry": true,
    "exit": true,
    "status_on_entry": "in",
    "status_on_exit": "out",
    "created_at": 1777391199,
    "updated_at": 1777391199
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1769100399,
      "beacons": 1770655599,
      "desktop_presences": 1772729199,
      "favorites": 1770309999,
      "fences": 1777391199,
      "groups": 1774626399,
      "networks": 1773675999,
      "roles": 1777391199,
      "settings": 1777391199
    },
    "emergency": null
  }
}

Delete a fence

Deletes an existing fence. Users must have a role that permits managing the company to delete fences.

Endpoint

DELETE /api/v4/fences/:id

Request

Route

DELETE /api/v4/fences/3

Headers

Content-Type: application/json
Authorization: Bearer kD7QojuttjVv12DB6QALCiHNoDDJ4r19FJ68VPck8AY

cURL

curl "https://www.simpleinout.com/api/v4/fences/3" -d '' -X DELETE \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer kD7QojuttjVv12DB6QALCiHNoDDJ4r19FJ68VPck8AY"

Response

Simulated Response

Status

204

List all fences

Return a list of all the fences belonging to the company.

Endpoint

GET /api/v4/fences

Parameters

Name Description
sort (string) order of the return with optional '-' to denote descending, possibilities include: 'name', 'radius
page_size (integer) number of results to return per page, defaults to 25
page (integer) page number of results

Request

Route

GET /api/v4/fences

Headers

Content-Type: application/json
Authorization: Bearer bzixCfJ7KFJnkCykPk2a6VidfpjhR5Sp9vNiWP-xKcc

cURL

curl -g "https://www.simpleinout.com/api/v4/fences" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer bzixCfJ7KFJnkCykPk2a6VidfpjhR5Sp9vNiWP-xKcc"

Response

Simulated Response

Response Fields

Name Description
fences (array) an array of fences

Status

200

Headers

etag: W/"ddca91186bb8a67ead65921b723d2aeb"
last-modified: Tue, 28 Apr 2026 15:46:39 GMT

Body

{
  "fences": [
    {
      "id": "1",
      "name": "1 - Sammyhaven",
      "latitude": "7.7118098564",
      "longitude": "-32.7130898577",
      "radius": 3561,
      "comment_on_entry": "In at 1 - Sammyhaven",
      "comment_on_exit": "Left 1 - Sammyhaven",
      "entry": true,
      "exit": true,
      "status_on_entry": "in",
      "status_on_exit": "out",
      "created_at": 1777391199,
      "updated_at": 1777391199
    },
    {
      "id": "2",
      "name": "2 - New Tomasborough",
      "latitude": "30.4537195595",
      "longitude": "95.2020546065",
      "radius": 16917,
      "comment_on_entry": "In at 2 - New Tomasborough",
      "comment_on_exit": "Left 2 - New Tomasborough",
      "entry": true,
      "exit": true,
      "status_on_entry": "in",
      "status_on_exit": "out",
      "created_at": 1777391199,
      "updated_at": 1777391199
    }
  ],
  "meta": {
    "paging": {
      "page": 1,
      "page_size": 25,
      "page_count": 1,
      "count": 2,
      "previous_page": null,
      "next_page": null,
      "first_href": "http://example.org/api/v4/fences",
      "last_href": "http://example.org/api/v4/fences",
      "previous_href": null,
      "next_href": null
    },
    "last_updated_at": {
      "announcements": 1773071199,
      "beacons": 1772729199,
      "desktop_presences": 1774107999,
      "favorites": 1773071199,
      "fences": 1777391199,
      "groups": 1776699999,
      "networks": 1772037999,
      "roles": 1777391199,
      "settings": 1777391199
    },
    "emergency": null
  }
}

Update a fence

Updates an existing fence. Users must have a role that permits managing the company to update fences.

Endpoint

PATCH /api/v4/fences/:id

Parameters

Name Description
fence[name] (string) the name of the fence
fence[latitude] (float) the latitude of the center point of the fence
fence[longitude] (float) the longitude of the center point of the fence
fence[radius] (integer) the radius of the fence, in meters
fence[comment_on_entry] (string) the comment applied to status updates on entry, defaults to 'In at {name}'
fence[comment_on_exit] (string) the comment applied to status updates on exit, defaults to 'Left {name}'
fence[status_on_entry] (string) the status to apply on entry: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'in'
fence[status_on_exit] (string) the status to apply on exit: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'out'

Request

Route

PATCH /api/v4/fences/5

Headers

Content-Type: application/json
Authorization: Bearer eacMHdsAlMAMiCYhQYdOmC2K-02IpyTgeOapFsSKSbA

Body

{
  "fence": {
    "name": "My Renamed Geofence"
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/fences/5" -d '{"fence":{"name":"My Renamed Geofence"}}' -X PATCH \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer eacMHdsAlMAMiCYhQYdOmC2K-02IpyTgeOapFsSKSbA"

Response

Simulated Response

Response Fields

Name Description
fences (object) the newly updated fence attributes

Status

200

Headers

etag: W/"bb71c1f3296529d7a48cfc518e4683fc"

Body

{
  "fences": {
    "id": "5",
    "name": "My Renamed Geofence",
    "latitude": "-46.0128468707",
    "longitude": "-43.0098608135",
    "radius": 9843,
    "comment_on_entry": "In at 4 - Leonelfurt",
    "comment_on_exit": "Left 4 - Leonelfurt",
    "entry": true,
    "exit": true,
    "status_on_entry": "in",
    "status_on_exit": "out",
    "created_at": 1777391199,
    "updated_at": 1777391199
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1775663199,
      "beacons": 1772383599,
      "desktop_presences": 1770309999,
      "favorites": 1769791599,
      "fences": 1777391199,
      "groups": 1770914799,
      "networks": 1770655599,
      "roles": 1777391199,
      "settings": 1777391199
    },
    "emergency": null
  }
}

Groups

Create a group

Creates a new group. Once this group is created, it will appear in the company’s groups within the Simple In/Out apps and website. Users must have a role that permits managing groups/memberships to create groups. Companies are limited to 100 Groups.

Endpoint

POST /api/v4/groups

Parameters

Name Description
group[name] required (string) the name of the group

Request

Route

POST /api/v4/groups

Headers

Content-Type: application/json
Authorization: Bearer _iRiLa0YXke6fPIWtZe12PMINaRm3ASaJuqUJy_tGng

Body

{
  "group": {
    "name": "New Department"
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/groups" -d '{"group":{"name":"New Department"}}' -X POST \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer _iRiLa0YXke6fPIWtZe12PMINaRm3ASaJuqUJy_tGng"

Response

Simulated Response

Response Fields

Name Description
groups (object) the newly created group attributes

Status

201

Headers

etag: W/"97c809b0af4aebc580b6b7759959c332"

Body

{
  "groups": {
    "id": "68",
    "name": "New Department"
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1771260396,
      "beacons": 1775922396,
      "desktop_presences": 1773503196,
      "favorites": 1773935196,
      "fences": 1773416796,
      "groups": 1777391196,
      "networks": 1775922396,
      "roles": 1777391196,
      "settings": 1777391196
    },
    "emergency": null
  }
}

Delete a group

Deletes an existing group. Users must have a role that permits managing groups/memberships to delete groups.

Endpoint

DELETE /api/v4/groups/:id

Request

Route

DELETE /api/v4/groups/70

Headers

Content-Type: application/json
Authorization: Bearer W0o3Fr_bIVWf9u54hCep6AHvzsoXxUazttb-2fPBw9g

cURL

curl "https://www.simpleinout.com/api/v4/groups/70" -d '' -X DELETE \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer W0o3Fr_bIVWf9u54hCep6AHvzsoXxUazttb-2fPBw9g"

Response

Simulated Response

Status

204

List all groups

Return a list of all the groups belonging to the company.

Endpoint

GET /api/v4/groups

Parameters

Name Description
sort (string) order of the return with optional '-' to denote descending, possibilities include: 'name'
page_size (integer) number of results to return per page, defaults to 25
page (integer) page number of results

Request

Route

GET /api/v4/groups

Headers

Content-Type: application/json
Authorization: Bearer _z1hTq1rj4ul9sd4AeA73Su-krq0SylDZ0MeRrq0nBk

cURL

curl -g "https://www.simpleinout.com/api/v4/groups" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer _z1hTq1rj4ul9sd4AeA73Su-krq0SylDZ0MeRrq0nBk"

Response

Simulated Response

Response Fields

Name Description
groups (array) an array of groups

Status

200

Headers

etag: W/"ea0b4308e93d3cb04b53c60af29449ad"
last-modified: Tue, 28 Apr 2026 15:46:36 GMT

Body

{
  "groups": [
    {
      "id": "66",
      "name": "Murazik-Kutch2"
    },
    {
      "id": "67",
      "name": "Labadie and Sons3"
    }
  ],
  "meta": {
    "paging": {
      "page": 1,
      "page_size": 25,
      "page_count": 1,
      "count": 2,
      "previous_page": null,
      "next_page": null,
      "first_href": "http://example.org/api/v4/groups",
      "last_href": "http://example.org/api/v4/groups",
      "previous_href": null,
      "next_href": null
    },
    "last_updated_at": {
      "announcements": 1775403996,
      "beacons": 1773243996,
      "desktop_presences": 1775663196,
      "favorites": 1777131996,
      "fences": 1776181596,
      "groups": 1777391196,
      "networks": 1771865196,
      "roles": 1777391196,
      "settings": 1777391196
    },
    "emergency": null
  }
}

Update a group

Updates an existing group. Users must have a role that permits managing groups/memberships to update groups.

Endpoint

PATCH /api/v4/groups/:id

Parameters

Name Description
group[name] (string) the name of the group

Request

Route

PATCH /api/v4/groups/69

Headers

Content-Type: application/json
Authorization: Bearer BQ4lvLf4u0uh0mDNoCZeJt0bMQQCv1r6CBUlTFODHhs

Body

{
  "group": {
    "name": "Renamed Department"
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/groups/69" -d '{"group":{"name":"Renamed Department"}}' -X PATCH \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer BQ4lvLf4u0uh0mDNoCZeJt0bMQQCv1r6CBUlTFODHhs"

Response

Simulated Response

Response Fields

Name Description
groups (object) the newly updated group attributes

Status

200

Headers

etag: W/"b95b7d1fae0462b369b52a0b48a4363e"

Body

{
  "groups": {
    "id": "69",
    "name": "Renamed Department"
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1769877996,
      "beacons": 1769877996,
      "desktop_presences": 1776699996,
      "favorites": 1768927596,
      "fences": 1776959196,
      "groups": 1777391196,
      "networks": 1771001196,
      "roles": 1777391196,
      "settings": 1777391196
    },
    "emergency": null
  }
}

Networks

Create a network

Creates a new network. Once this network is created, it will appear in the company’s networks within the Simple In/Out apps. Users must have a role that permits managing the company to create networks. Companies are limited to 100 Networks.

Endpoint

POST /api/v4/networks

Parameters

Name Description
network[name] required (string) the name of the network, no longer than 44 characters
network[ssid] required (string) the unique network identifier, no longer than 250 characters
network[comment_on_entry] (string) the comment applied to status updates on entry, defaults to 'In at {name}'
network[comment_on_exit] (string) the comment applied to status updates on exit, defaults to 'Left {name}'
network[status_on_entry] (string) the status to apply on entry: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'in'
network[status_on_exit] (string) the status to apply on exit: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'out'
network[nodes] (array) an array of BSSIDs that are the only network equipment associated with this network (if empty all networks with this SSID are valid)

Request

Route

POST /api/v4/networks

Headers

Content-Type: application/json
Authorization: Bearer IcHV76gO10ozGEch3AJn-CKrgC0Z5w87Mjib9XWUHvU

Body

{
  "network": {
    "name": "My Office",
    "ssid": "Office WiFi Hotspot",
    "nodes": [
      "00:1A:2B:3C:4D:5E",
      "00:1A:2B:3C:4D:5F"
    ]
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/networks" -d '{"network":{"name":"My Office","ssid":"Office WiFi Hotspot","nodes":["00:1A:2B:3C:4D:5E","00:1A:2B:3C:4D:5F"]}}' -X POST \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer IcHV76gO10ozGEch3AJn-CKrgC0Z5w87Mjib9XWUHvU"

Response

Simulated Response

Response Fields

Name Description
networks (object) the newly created network attributes

Status

201

Headers

etag: W/"7acae536ae765de582c7f2f2df3b120b"

Body

{
  "networks": {
    "id": "45",
    "name": "My Office",
    "ssid": "Office WiFi Hotspot",
    "comment_on_entry": "In at My Office",
    "comment_on_exit": "Left My Office",
    "entry": true,
    "exit": true,
    "status_on_entry": "in",
    "status_on_exit": "out",
    "nodes": [
      "00:1A:2B:3C:4D:5E",
      "00:1A:2B:3C:4D:5F"
    ],
    "created_at": 1777391200,
    "updated_at": 1777391200
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1777045600,
      "beacons": 1773416800,
      "desktop_presences": 1774799200,
      "favorites": 1775922400,
      "fences": 1773848800,
      "groups": 1775490400,
      "networks": 1777391200,
      "roles": 1777391200,
      "settings": 1777391200
    },
    "emergency": null
  }
}

Delete a network

Deletes an existing network. Users must have a role that permits managing the company to delete networks.

Endpoint

DELETE /api/v4/networks/:id

Request

Route

DELETE /api/v4/networks/44

Headers

Content-Type: application/json
Authorization: Bearer oOuZUz4TKYDXX3XmJBGzCXS-_RNy4q9kCV1tKHkfaX4

cURL

curl "https://www.simpleinout.com/api/v4/networks/44" -d '' -X DELETE \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer oOuZUz4TKYDXX3XmJBGzCXS-_RNy4q9kCV1tKHkfaX4"

Response

Simulated Response

Status

204

List all networks

Return a list of all the networks belonging to the company.

Endpoint

GET /api/v4/networks

Parameters

Name Description
sort (string) order of the return with optional '-' to denote descending, possibilities include: 'name'
page_size (integer) number of results to return per page, defaults to 25
page (integer) page number of results

Request

Route

GET /api/v4/networks

Headers

Content-Type: application/json
Authorization: Bearer qpwfj6JI7bSylSkAZUeEoEVfbtYtgxii3EyI2YKqIZk

cURL

curl -g "https://www.simpleinout.com/api/v4/networks" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer qpwfj6JI7bSylSkAZUeEoEVfbtYtgxii3EyI2YKqIZk"

Response

Simulated Response

Response Fields

Name Description
networks (array) an array of networks

Status

200

Headers

etag: W/"0e6fa993eb1afbc0df20fb3c3499593c"
last-modified: Tue, 28 Apr 2026 15:46:40 GMT

Body

{
  "networks": [
    {
      "id": "46",
      "name": "3 - Burlstad",
      "ssid": "mgeg1rynebpuowey2eksygomg0nlyiwz",
      "comment_on_entry": "In at 3 - Burlstad",
      "comment_on_exit": "Left 3 - Burlstad",
      "entry": true,
      "exit": true,
      "status_on_entry": "in",
      "status_on_exit": "out",
      "nodes": [],
      "created_at": 1777391200,
      "updated_at": 1777391200
    },
    {
      "id": "47",
      "name": "4 - South Laurenhaven",
      "ssid": "v5xf1eiz1dsv4ybtorfxm0mpx5l76h3s",
      "comment_on_entry": "In at 4 - South Laurenhaven",
      "comment_on_exit": "Left 4 - South Laurenhaven",
      "entry": true,
      "exit": true,
      "status_on_entry": "in",
      "status_on_exit": "out",
      "nodes": [],
      "created_at": 1777391200,
      "updated_at": 1777391200
    }
  ],
  "meta": {
    "paging": {
      "page": 1,
      "page_size": 25,
      "page_count": 1,
      "count": 2,
      "previous_page": null,
      "next_page": null,
      "first_href": "http://example.org/api/v4/networks",
      "last_href": "http://example.org/api/v4/networks",
      "previous_href": null,
      "next_href": null
    },
    "last_updated_at": {
      "announcements": 1769273200,
      "beacons": 1772556400,
      "desktop_presences": 1774367200,
      "favorites": 1772383600,
      "fences": 1775922400,
      "groups": 1775317600,
      "networks": 1777391200,
      "roles": 1777391200,
      "settings": 1777391200
    },
    "emergency": null
  }
}

Update a network

Updates an existing network. Please note that if the SSID of the network is updated, any corresponding hardware must also be updated to broadcast the new SSID. Users must have a role that permits managing the company to update networks.

Endpoint

PATCH /api/v4/networks/:id

Parameters

Name Description
network[name] (string) the name of the network, no longer than 44 characters
network[ssid] (string) the unique network identifier, no longer than 250 characters
network[comment_on_entry] (string) the comment applied to status updates on entry, defaults to 'In at {name}'
network[comment_on_exit] (string) the comment applied to status updates on exit, defaults to 'Left {name}'
network[status_on_entry] (string) the status to apply on entry: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'in'
network[status_on_exit] (string) the status to apply on exit: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation', or 'off', defaults to 'out'
network[nodes] (array) an array of BSSIDs that are the only network equipment associated with this network (if empty all networks with this SSID are valid)

Request

Route

PATCH /api/v4/networks/43

Headers

Content-Type: application/json
Authorization: Bearer snZ2fupjDCpxeEPMXiTjdetGFDGjJm3br_8VFSFGv8M

Body

{
  "network": {
    "name": "My Renamed Office",
    "nodes": [
      "00:1A:2B:3C:4D:5E",
      "00:1A:2B:3C:4D:5F"
    ]
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/networks/43" -d '{"network":{"name":"My Renamed Office","nodes":["00:1A:2B:3C:4D:5E","00:1A:2B:3C:4D:5F"]}}' -X PATCH \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer snZ2fupjDCpxeEPMXiTjdetGFDGjJm3br_8VFSFGv8M"

Response

Simulated Response

Response Fields

Name Description
networks (object) the newly updated network attributes

Status

200

Headers

etag: W/"efe72036d6abb2eb1b80ec7f75de2431"

Body

{
  "networks": {
    "id": "43",
    "name": "My Renamed Office",
    "ssid": "k0zl90liw9z5sv0fcpegxx77vl3gta3r",
    "comment_on_entry": "In at 1 - Port Lorna",
    "comment_on_exit": "Left 1 - Port Lorna",
    "entry": true,
    "exit": true,
    "status_on_entry": "in",
    "status_on_exit": "out",
    "nodes": [
      "00:1A:2B:3C:4D:5E",
      "00:1A:2B:3C:4D:5F"
    ],
    "created_at": 1777391200,
    "updated_at": 1777391200
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1773589600,
      "beacons": 1776008800,
      "desktop_presences": 1773503200,
      "favorites": 1776700000,
      "fences": 1769273200,
      "groups": 1773071200,
      "networks": 1777391200,
      "roles": 1777391200,
      "settings": 1777391200
    },
    "emergency": null
  }
}

Ok

Make sure things are Ok

This API is only used to verify you’ve successfully authorized.

Endpoint

GET /api/v4/ok

Parameters

Name Description
meta (string) if any value included, will return meta information instead of a 204 No Content response

Request

Route

GET /api/v4/ok

Headers

Content-Type: application/json
Authorization: Bearer 8EcTq59M_TsyRg9Xi64tYf2huzDUo7YnPmSFxqcWQ-U

cURL

curl -g "https://www.simpleinout.com/api/v4/ok" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer 8EcTq59M_TsyRg9Xi64tYf2huzDUo7YnPmSFxqcWQ-U"

Response

Simulated Response

Status

204

Reports

Retrieve another user's report

Retrieves a day-by-day report for another user in the same company. Users must have a role that permits viewing report history for others.

Endpoint

GET /api/v4/users/:id/reports

Parameters

Name Description
date_range required (string) a date range string for the report period
comment (string) optional comment filter; only count status updates whose comment contains this value (case-insensitive)
rounding (string) report duration rounding: 'none', 'hour', or 'quarter_hour'
statuses (string) comma-delimited statuses to count towards totals, possibilities include: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation'
time_zone (string) an IANA time zone to evaluate day boundaries, e.g. 'America/Chicago'
value_format (string) report value format: 'hours', 'labels', or 'minutes'

Request

Route

GET /api/v4/users/1452/reports?date_range=1777179600..1777438799&comment=Planning&rounding=quarter_hour&statuses=in&time_zone=America%2FChicago&value_format=minutes

Headers

Content-Type: application/json
Authorization: Bearer _91ng9fNV-kRY_9Gi3-mSwPvqpJmwsx8enhWdBxhYUo

Query Parameters

date_range=1777179600..1777438799
comment=Planning
rounding=quarter_hour
statuses=in
time_zone=America/Chicago
value_format=minutes

cURL

curl -g "https://www.simpleinout.com/api/v4/users/1452/reports?date_range=1777179600..1777438799&comment=Planning&rounding=quarter_hour&statuses=in&time_zone=America%2FChicago&value_format=minutes" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer _91ng9fNV-kRY_9Gi3-mSwPvqpJmwsx8enhWdBxhYUo"

Response

Simulated Response

Response Fields

Name Description
days (array) one result per day in the requested date range
total (string) total value for the requested date range

Status

200

Headers

etag: W/"b4f5d6b0e96f99032945bb914370c6cf"

Body

{
  "days": [
    {
      "year": 2026,
      "month": 4,
      "day": 26,
      "result": "0"
    },
    {
      "year": 2026,
      "month": 4,
      "day": 27,
      "result": "480"
    },
    {
      "year": 2026,
      "month": 4,
      "day": 28,
      "result": "0"
    }
  ],
  "total": "480"
}

Retrieve my report

Retrieves a day-by-day report for the authenticated user over the provided date range.

Endpoint

GET /api/v4/users/my/reports

Parameters

Name Description
date_range required (string) a date range string for the report period
comment (string) optional comment filter; only count status updates whose comment contains this value (case-insensitive)
rounding (string) report duration rounding: 'none', 'hour', or 'quarter_hour'
statuses (string) comma-delimited statuses to count towards totals, possibilities include: 'in', 'remote', 'busy', 'break', 'out', 'sick', 'vacation'
time_zone (string) an IANA time zone to evaluate day boundaries, e.g. 'America/Chicago'
value_format (string) report value format: 'hours', 'labels', or 'minutes'

Request

Route

GET /api/v4/users/my/reports?date_range=1777179600..1777438799&comment=Planning&rounding=quarter_hour&statuses=in&time_zone=America%2FChicago&value_format=minutes

Headers

Content-Type: application/json
Authorization: Bearer k93o4_1EKZxXO3ldjllQ9agHZXaUW_0n674gESu1Rxg

Query Parameters

date_range=1777179600..1777438799
comment=Planning
rounding=quarter_hour
statuses=in
time_zone=America/Chicago
value_format=minutes

cURL

curl -g "https://www.simpleinout.com/api/v4/users/my/reports?date_range=1777179600..1777438799&comment=Planning&rounding=quarter_hour&statuses=in&time_zone=America%2FChicago&value_format=minutes" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer k93o4_1EKZxXO3ldjllQ9agHZXaUW_0n674gESu1Rxg"

Response

Simulated Response

Response Fields

Name Description
days (array) one result per day in the requested date range
total (string) total value for the requested date range

Status

200

Headers

etag: W/"b4f5d6b0e96f99032945bb914370c6cf"

Body

{
  "days": [
    {
      "year": 2026,
      "month": 4,
      "day": 26,
      "result": "0"
    },
    {
      "year": 2026,
      "month": 4,
      "day": 27,
      "result": "480"
    },
    {
      "year": 2026,
      "month": 4,
      "day": 28,
      "result": "0"
    }
  ],
  "total": "480"
}

Roles

Create a role

Creates a new role. Once this role is created, it will be available to assign to users within the Simple In/Out apps and website. Users must have a role that permits managing the company to create roles. Companies are limited to 100 Roles.

Endpoint

POST /api/v4/roles

Parameters

Name Description
role[name] required (string) the name of the role, no longer than 255 characters, must be unique for the company
role[billing] (boolean) these users can change the company's plan, credit card, and invoice email/information.
role[followed_users] (boolean) these users can receive notifications on their devices when another user updates their status.
role[reminders] (boolean) these users can manage notifications sent to other users reminding them to update their status.
role[safeties] (boolean) these users can receive notifications when another user hasn't updated their status.
role[user_board] (boolean) these users can see all other users and their current status.
role[manage_all_announcements] (boolean) these users can manage all announcements.
role[manage_groups_and_memberships] (boolean) these users can manage groups and which users are assigned to each group.
role[manage_others_archives] (boolean) these users can change the past statuses of all others by adding and deleting status updates.
role[manage_others_futures] (boolean) these users can schedule future status updates for all other users.
role[manage_others_status] (boolean) these users can change the current status of all users.
role[manage_own_archives] (boolean) these users can change their own past statuses by adding and deleting status updates.
role[manage_own_futures] (boolean) these users can schedule future status updates for themselves.
role[manage_own_status] (boolean) these users can update their own status from any device or the website
role[manage_status_automatically] (boolean) these users can manage their own current status automatically using Geofences, Beacons, Networks, and Desktop Presence.
role[view_all_announcements] (boolean) these users can view all announcements.
role[view_others_archives] (boolean) these users can view the past status updates made by all other users.
role[view_others_futures] (boolean) these users can view the scheduled status updates for all users.
role[view_others_reports] (boolean) these users can run reports on the status history of all other users.
role[view_user_board_updated_at] (boolean) these users can view the time that status updates were made on the board.
role[member_board] (boolean) these users can see other users within the same groups and their current status.
role[manage_member_announcements] (boolean) these users can manage announcements within the same groups.
role[manage_member_archives] (boolean) these users can change the past statuses of users within the same groups by adding and deleting status updates.
role[manage_member_futures] (boolean) these users can schedule future status updates for users within the same groups.
role[manage_member_status] (boolean) these users can change the current status of users within the same groups.
role[view_member_announcements] (boolean) these users can view announcements for everyone and the groups they belong to.
role[view_member_archives] (boolean) these users can view the past status updates made by users within the same groups.
role[view_member_futures] (boolean) these users can view the scheduled status updates for users within the same groups.
role[view_member_reports] (boolean) these users can run reports on the status history of users within the same groups.

Request

Route

POST /api/v4/roles

Headers

Content-Type: application/json
Authorization: Bearer -4LvekhSSWu3xS27NQwTNOKdeSK5G43U3EgWKIEYY4c

Body

{
  "role": {
    "name": "Billing Role",
    "billing": true,
    "followed_users": false,
    "reminders": false,
    "safeties": false,
    "user_board": false,
    "manage_all_announcements": false,
    "manage_groups_and_memberships": false,
    "manage_others_archives": false,
    "manage_others_futures": false,
    "manage_others_status": false,
    "manage_own_archives": false,
    "manage_own_futures": false,
    "manage_own_status": false,
    "manage_status_automatically": false,
    "view_all_announcements": true,
    "view_others_archives": false,
    "view_others_futures": false,
    "view_others_reports": false,
    "view_user_board_updated_at": false,
    "member_board": false,
    "manage_member_announcements": false,
    "manage_member_archives": false,
    "manage_member_futures": false,
    "manage_member_status": false,
    "view_member_announcements": false,
    "view_member_archives": false,
    "view_member_futures": false,
    "view_member_reports": false
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/roles" -d '{"role":{"name":"Billing Role","billing":true,"followed_users":false,"reminders":false,"safeties":false,"user_board":false,"manage_all_announcements":false,"manage_groups_and_memberships":false,"manage_others_archives":false,"manage_others_futures":false,"manage_others_status":false,"manage_own_archives":false,"manage_own_futures":false,"manage_own_status":false,"manage_status_automatically":false,"view_all_announcements":true,"view_others_archives":false,"view_others_futures":false,"view_others_reports":false,"view_user_board_updated_at":false,"member_board":false,"manage_member_announcements":false,"manage_member_archives":false,"manage_member_futures":false,"manage_member_status":false,"view_member_announcements":false,"view_member_archives":false,"view_member_futures":false,"view_member_reports":false}}' -X POST \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer -4LvekhSSWu3xS27NQwTNOKdeSK5G43U3EgWKIEYY4c"

Response

Simulated Response

Response Fields

Name Description
roles (object) the newly created role attributes

Status

201

Headers

etag: W/"1a88d30dc69cadcc05068551dfd9421f"

Body

{
  "roles": {
    "id": "4266",
    "name": "Billing Role",
    "billing": true,
    "followed_users": false,
    "reminders": false,
    "safeties": false,
    "user_board": false,
    "manage_all_announcements": false,
    "manage_company_and_users": false,
    "manage_groups_and_memberships": false,
    "manage_member_announcements": false,
    "manage_others_archives": false,
    "manage_others_futures": false,
    "manage_others_status": false,
    "manage_own_archives": false,
    "manage_own_futures": false,
    "manage_own_status": false,
    "manage_status_automatically": false,
    "view_all_announcements": true,
    "view_member_announcements": false,
    "view_others_archives": false,
    "view_others_futures": false,
    "view_others_reports": false,
    "member_board": false,
    "manage_member_archives": false,
    "manage_member_futures": false,
    "manage_member_status": false,
    "view_member_archives": false,
    "view_member_futures": false,
    "view_member_reports": false,
    "view_user_board_updated_at": false,
    "created_at": 1777391200,
    "updated_at": 1777391200
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1773589600,
      "beacons": 1770310000,
      "desktop_presences": 1774885600,
      "favorites": 1772383600,
      "fences": 1774021600,
      "groups": 1769532400,
      "networks": 1776440800,
      "roles": 1777391200,
      "settings": 1777391200
    },
    "emergency": null
  }
}

Delete a role

Deletes an existing role. Users must have a role that permits managing the company to delete roles.

Endpoint

DELETE /api/v4/roles/:id

Request

Route

DELETE /api/v4/roles/4247

Headers

Content-Type: application/json
Authorization: Bearer HXDiYKtoLCi7t0C89vwpPamN_pCJZdJI65gFk5Csdh0

cURL

curl "https://www.simpleinout.com/api/v4/roles/4247" -d '' -X DELETE \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer HXDiYKtoLCi7t0C89vwpPamN_pCJZdJI65gFk5Csdh0"

Response

Simulated Response

Status

204

List all roles

Return a list of all the roles belonging to the company.

Endpoint

GET /api/v4/roles

Parameters

Name Description
sort (string) order of the return with optional '-' to denote descending, possibilities include: 'name'
page_size (integer) number of results to return per page, defaults to 25
page (integer) page number of results

Request

Route

GET /api/v4/roles

Headers

Content-Type: application/json
Authorization: Bearer SERXCrC95pV37w3FqFxqta4-ClsK0xON62-qQUNE0uc

cURL

curl -g "https://www.simpleinout.com/api/v4/roles" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer SERXCrC95pV37w3FqFxqta4-ClsK0xON62-qQUNE0uc"

Response

Simulated Response

Response Fields

Name Description
roles (array) an array of roles

Status

200

Headers

etag: W/"b8fbd8bb380af63bbcba67a2a1db8c3f"
last-modified: Tue, 28 Apr 2026 15:46:40 GMT

Body

{
  "roles": [
    {
      "id": "4259",
      "name": "Manager",
      "billing": false,
      "followed_users": false,
      "reminders": false,
      "safeties": false,
      "user_board": true,
      "manage_all_announcements": true,
      "manage_company_and_users": false,
      "manage_groups_and_memberships": false,
      "manage_member_announcements": false,
      "manage_others_archives": false,
      "manage_others_futures": true,
      "manage_others_status": true,
      "manage_own_archives": false,
      "manage_own_futures": true,
      "manage_own_status": true,
      "manage_status_automatically": true,
      "view_all_announcements": true,
      "view_member_announcements": false,
      "view_others_archives": true,
      "view_others_futures": true,
      "view_others_reports": true,
      "member_board": false,
      "manage_member_archives": false,
      "manage_member_futures": false,
      "manage_member_status": false,
      "view_member_archives": false,
      "view_member_futures": false,
      "view_member_reports": false,
      "view_user_board_updated_at": true,
      "created_at": 1777391200,
      "updated_at": 1777391200
    },
    {
      "id": "4261",
      "name": "Limited User",
      "billing": false,
      "followed_users": false,
      "reminders": false,
      "safeties": false,
      "user_board": true,
      "manage_all_announcements": false,
      "manage_company_and_users": false,
      "manage_groups_and_memberships": false,
      "manage_member_announcements": false,
      "manage_others_archives": false,
      "manage_others_futures": false,
      "manage_others_status": false,
      "manage_own_archives": false,
      "manage_own_futures": false,
      "manage_own_status": false,
      "manage_status_automatically": false,
      "view_all_announcements": true,
      "view_member_announcements": false,
      "view_others_archives": true,
      "view_others_futures": true,
      "view_others_reports": false,
      "member_board": false,
      "manage_member_archives": false,
      "manage_member_futures": false,
      "manage_member_status": false,
      "view_member_archives": false,
      "view_member_futures": false,
      "view_member_reports": false,
      "view_user_board_updated_at": true,
      "created_at": 1777391200,
      "updated_at": 1777391200
    },
    {
      "id": "4258",
      "name": "Administrator",
      "billing": true,
      "followed_users": true,
      "reminders": true,
      "safeties": true,
      "user_board": true,
      "manage_all_announcements": true,
      "manage_company_and_users": true,
      "manage_groups_and_memberships": true,
      "manage_member_announcements": false,
      "manage_others_archives": true,
      "manage_others_futures": true,
      "manage_others_status": true,
      "manage_own_archives": true,
      "manage_own_futures": true,
      "manage_own_status": true,
      "manage_status_automatically": true,
      "view_all_announcements": true,
      "view_member_announcements": false,
      "view_others_archives": true,
      "view_others_futures": true,
      "view_others_reports": true,
      "member_board": false,
      "manage_member_archives": false,
      "manage_member_futures": false,
      "manage_member_status": false,
      "view_member_archives": false,
      "view_member_futures": false,
      "view_member_reports": false,
      "view_user_board_updated_at": true,
      "created_at": 1777391200,
      "updated_at": 1777391200
    },
    {
      "id": "4260",
      "name": "Regular User",
      "billing": false,
      "followed_users": false,
      "reminders": false,
      "safeties": false,
      "user_board": true,
      "manage_all_announcements": false,
      "manage_company_and_users": false,
      "manage_groups_and_memberships": false,
      "manage_member_announcements": false,
      "manage_others_archives": false,
      "manage_others_futures": false,
      "manage_others_status": false,
      "manage_own_archives": false,
      "manage_own_futures": true,
      "manage_own_status": true,
      "manage_status_automatically": true,
      "view_all_announcements": true,
      "view_member_announcements": false,
      "view_others_archives": true,
      "view_others_futures": true,
      "view_others_reports": false,
      "member_board": false,
      "manage_member_archives": false,
      "manage_member_futures": false,
      "manage_member_status": false,
      "view_member_archives": false,
      "view_member_futures": false,
      "view_member_reports": false,
      "view_user_board_updated_at": true,
      "created_at": 1777391200,
      "updated_at": 1777391200
    }
  ],
  "meta": {
    "paging": {
      "page": 1,
      "page_size": 25,
      "page_count": 1,
      "count": 4,
      "previous_page": null,
      "next_page": null,
      "first_href": "http://example.org/api/v4/roles",
      "last_href": "http://example.org/api/v4/roles",
      "previous_href": null,
      "next_href": null
    },
    "last_updated_at": {
      "announcements": 1776095200,
      "beacons": 1776181600,
      "desktop_presences": 1774799200,
      "favorites": 1770482800,
      "fences": 1776440800,
      "groups": 1774799200,
      "networks": 1770482800,
      "roles": 1777391200,
      "settings": 1777391200
    },
    "emergency": null
  }
}

Retrieve a role

Retrieve an existing role.

Endpoint

GET /api/v4/roles/:id

Request

Route

GET /api/v4/roles/4252

Headers

Content-Type: application/json
Authorization: Bearer UisUeRjEBj6marN-7EpNhg1mfVJT3ZARyD1bRVf-4fY

cURL

curl -g "https://www.simpleinout.com/api/v4/roles/4252" -X GET \
	-H "Content-Type: application/json" \
	-H "Sio-Version: 1.0.0" \
	-H "Authorization: Bearer UisUeRjEBj6marN-7EpNhg1mfVJT3ZARyD1bRVf-4fY"

Response

Simulated Response

Response Fields

Name Description
roles (object) the role attributes

Status

200

Headers

etag: W/"474c4c3adeae1b552f4ec0e15934f40b"
last-modified: Tue, 28 Apr 2026 15:46:40 GMT

Body

{
  "roles": {
    "id": "4252",
    "name": "Littel-Heathcote",
    "billing": false,
    "followed_users": false,
    "reminders": false,
    "safeties": false,
    "user_board": false,
    "manage_all_announcements": false,
    "manage_company_and_users": false,
    "manage_groups_and_memberships": false,
    "manage_member_announcements": false,
    "manage_others_archives": false,
    "manage_others_futures": false,
    "manage_others_status": false,
    "manage_own_archives": false,
    "manage_own_futures": false,
    "manage_own_status": false,
    "manage_status_automatically": false,
    "view_all_announcements": true,
    "view_member_announcements": false,
    "view_others_archives": false,
    "view_others_futures": false,
    "view_others_reports": false,
    "member_board": false,
    "manage_member_archives": false,
    "manage_member_futures": false,
    "manage_member_status": false,
    "view_member_archives": false,
    "view_member_futures": false,
    "view_member_reports": false,
    "view_user_board_updated_at": false,
    "created_at": 1777391200,
    "updated_at": 1777391200
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1776440800,
      "beacons": 1774972000,
      "desktop_presences": 1773071200,
      "favorites": 1773503200,
      "fences": 1771346800,
      "groups": 1770223600,
      "networks": 1771346800,
      "roles": 1777391200,
      "settings": 1777391200
    },
    "emergency": null,
    "update_available": false
  }
}

Update a role

Updates an existing role. Users must have a role that permits managing the company to update roles.

Endpoint

PATCH /api/v4/roles/:id

Parameters

Name Description
role[name] required (string) the name of the role, no longer than 255 characters, must be unique for the company
role[billing] (boolean) these users can change the company's plan, credit card, and invoice email/information.
role[followed_users] (boolean) these users can receive notifications on their devices when another user updates their status.
role[reminders] (boolean) these users can manage notifications sent to other users reminding them to update their status.
role[safeties] (boolean) these users can receive notifications when another user hasn't updated their status.
role[user_board] (boolean) these users can see all other users and their current status.
role[manage_all_announcements] (boolean) these users can manage all announcements.
role[manage_groups_and_memberships] (boolean) these users can manage groups and which users are assigned to each group.
role[manage_others_archives] (boolean) these users can change the past statuses of all others by adding and deleting status updates.
role[manage_others_futures] (boolean) these users can schedule future status updates for all other users.
role[manage_others_status] (boolean) these users can change the current status of all users.
role[manage_own_archives] (boolean) these users can change their own past statuses by adding and deleting status updates.
role[manage_own_futures] (boolean) these users can schedule future status updates for themselves.
role[manage_own_status] (boolean) these users can update their own status from any device or the website
role[manage_status_automatically] (boolean) these users can manage their own current status automatically using Geofences, Beacons, Networks, and Desktop Presence.
role[view_all_announcements] (boolean) these users can view all announcements.
role[view_others_archives] (boolean) these users can view the past status updates made by all other users.
role[view_others_futures] (boolean) these users can view the scheduled status updates for all users.
role[view_others_reports] (boolean) these users can run reports on the status history of all other users.
role[view_user_board_updated_at] (boolean) these users can view the time that status updates were made on the board.
role[member_board] (boolean) these users can see other users within the same groups and their current status.
role[manage_member_announcements] (boolean) these users can manage announcements within the same groups.
role[manage_member_archives] (boolean) these users can change the past statuses of users within the same groups by adding and deleting status updates.
role[manage_member_futures] (boolean) these users can schedule future status updates for users within the same groups.
role[manage_member_status] (boolean) these users can change the current status of users within the same groups.
role[view_member_announcements] (boolean) these users can view announcements for everyone and the groups they belong to.
role[view_member_archives] (boolean) these users can view the past status updates made by users within the same groups.
role[view_member_futures] (boolean) these users can view the scheduled status updates for users within the same groups.
role[view_member_reports] (boolean) these users can run reports on the status history of users within the same groups.

Request

Route

PATCH /api/v4/roles/4257

Headers

Content-Type: application/json
Authorization: Bearer 76dw97K-qZ4q0HXxSYgFWn0IXZkqFil5zx39flRv8z4

Body

{
  "role": {
    "name": "My Renamed Role",
    "billing": false,
    "view_others_archives": true,
    "view_others_futures": true
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/roles/4257" -d '{"role":{"name":"My Renamed Role","billing":false,"view_others_archives":true,"view_others_futures":true}}' -X PATCH \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer 76dw97K-qZ4q0HXxSYgFWn0IXZkqFil5zx39flRv8z4"

Response

Simulated Response

Response Fields

Name Description
roles (object) the newly updated role attributes

Status

200

Headers

etag: W/"458b1381d7d8709d53200cfa6508ef13"

Body

{
  "roles": {
    "id": "4257",
    "name": "My Renamed Role",
    "billing": false,
    "followed_users": false,
    "reminders": false,
    "safeties": false,
    "user_board": false,
    "manage_all_announcements": false,
    "manage_company_and_users": false,
    "manage_groups_and_memberships": false,
    "manage_member_announcements": false,
    "manage_others_archives": false,
    "manage_others_futures": false,
    "manage_others_status": false,
    "manage_own_archives": false,
    "manage_own_futures": false,
    "manage_own_status": false,
    "manage_status_automatically": false,
    "view_all_announcements": true,
    "view_member_announcements": false,
    "view_others_archives": true,
    "view_others_futures": true,
    "view_others_reports": false,
    "member_board": false,
    "manage_member_archives": false,
    "manage_member_futures": false,
    "manage_member_status": false,
    "view_member_archives": false,
    "view_member_futures": false,
    "view_member_reports": false,
    "view_user_board_updated_at": false,
    "created_at": 1777391200,
    "updated_at": 1777391200
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1773503200,
      "beacons": 1773935200,
      "desktop_presences": 1772642800,
      "favorites": 1771346800,
      "fences": 1771174000,
      "groups": 1770310000,
      "networks": 1776268000,
      "roles": 1777391200,
      "settings": 1777391200
    },
    "emergency": null
  }
}

Statuses

List statuses

List all the statuses within the time period specified by the ‘created_at’ date range. Users must have a role that permits viewing the status history of others or only the authorized user’s statuses will be returned.

Endpoint

GET /api/v4/statuses

Parameters

Name Description
page_size (integer) number of results to return per page, defaults to 25
page (integer) page number of results
created_at required (string) a date range string for the time the status was created
status (string) the status: 'in', 'remote', 'busy', 'break', 'out', 'sick', or 'vacation'
comment (string) the comment, case sensitive, included with the status change
automatic (boolean) only find automatic statuses
user_id (string) the ID of a particular user
sort (string) order of the return with optional '-' to denote descending, possibilities include: 'created_at', 'status', 'comment', 'automatic'
sort_locale (string) the locale to use when sorting by comment, defaults to English (US)
expand (string) comma-delimited list of extra information to include in the response, possibilities include: 'user', 'user.favorites', 'user.latest', 'user.memberships', 'user.memberships.group', 'user.phones', 'user.recents', 'changed_by_user', 'application'

Request

Route

GET /api/v4/statuses?created_at=1776747600..1777006799

Headers

Content-Type: application/json
Authorization: Bearer 3cmD7ijmhPrwACPNUFNYffi20kaH1r4DDb3XcizAuXo

Query Parameters

created_at=1776747600..1777006799

cURL

curl -g "https://www.simpleinout.com/api/v4/statuses?created_at=1776747600..1777006799" -X GET \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer 3cmD7ijmhPrwACPNUFNYffi20kaH1r4DDb3XcizAuXo"

Response

Simulated Response

Response Fields

Name Description
statuses (array) an array of matching statuses

Status

200

Headers

etag: W/"4eb282d41874e64bf4ccfc76de7974b9"
last-modified: Wed, 22 Apr 2026 14:00:00 GMT

Body

{
  "statuses": [
    {
      "status": "in",
      "comment": "At Work",
      "automatic": false,
      "user_id": "1457",
      "changed_by_user_id": null,
      "created_at": 1776754800
    },
    {
      "status": "out",
      "comment": "Left Work",
      "automatic": true,
      "user_id": "1457",
      "changed_by_user_id": null,
      "created_at": 1776769200
    },
    {
      "status": "in",
      "comment": "At Work",
      "automatic": false,
      "user_id": "1457",
      "changed_by_user_id": null,
      "created_at": 1776772800
    },
    {
      "status": "out",
      "comment": "Left Work",
      "automatic": false,
      "user_id": "1457",
      "changed_by_user_id": null,
      "created_at": 1776790800
    },
    {
      "status": "in",
      "comment": "At Work",
      "automatic": true,
      "user_id": "1457",
      "changed_by_user_id": null,
      "created_at": 1776841200
    },
    {
      "status": "out",
      "comment": "Left Work",
      "automatic": true,
      "user_id": "1457",
      "changed_by_user_id": null,
      "created_at": 1776862800
    },
    {
      "status": "out",
      "comment": "On Vacation",
      "automatic": false,
      "user_id": "1457",
      "changed_by_user_id": "1458",
      "created_at": 1776866400
    }
  ],
  "meta": {
    "paging": {
      "page": 1,
      "page_size": 25,
      "page_count": 1,
      "count": 7,
      "previous_page": null,
      "next_page": null,
      "first_href": "http://example.org/api/v4/statuses?created_at=1776747600..1777006799",
      "last_href": "http://example.org/api/v4/statuses?created_at=1776747600..1777006799",
      "previous_href": null,
      "next_href": null
    },
    "last_updated_at": {
      "announcements": 1776959195,
      "beacons": 1770223595,
      "desktop_presences": 1772124395,
      "favorites": 1774799195,
      "fences": 1773243995,
      "groups": 1772642795,
      "networks": 1774021595,
      "roles": 1777391195,
      "settings": 1777391195
    },
    "emergency": null
  }
}

Users

Archive a user

Archives an existing user. Users must have a role that permits managing users.

Endpoint

POST /api/v4/users/:id/archive

Request

Route

POST /api/v4/users/1547/archive

Headers

Content-Type: application/json
Authorization: Bearer aclw2v-SHd1dtuKm_YOlQkQoRwjbCyVkgrT1Ka5IvdQ

cURL

curl "https://www.simpleinout.com/api/v4/users/1547/archive" -d '' -X POST \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer aclw2v-SHd1dtuKm_YOlQkQoRwjbCyVkgrT1Ka5IvdQ"

Response

Simulated Response

Status

204

Create a future status update for a user

Add a scheduled status for a specific user. Users must have a role that permits managing their own scheduled statuses if updating themselves or be permitted to manage the scheduled statuses of others if updating another user. The company must also have scheduled statuses enabled.

Endpoint

POST /api/v4/users/:id/futures

Parameters

Name Description
future[status] required (string) must be 'in', 'remote', 'busy', 'break', 'out', 'sick', or 'vacation'
future[apply_at] required (integer) epoch time to apply status change, must be in the future, have minutes within (00, 15, 30, 45), and seconds of 0
future[comment] (string) up to 50 character description of the status update
future[end_at] (integer) epoch time to end the scheduled status, must be after apply_at, have minutes within (00, 15, 30, 45), and seconds of 0
expand (string) comma-delimited list of extra information to include in the response, possibilities include: 'user', 'changed_by_user'

Request

Route

POST /api/v4/users/1503/futures

Headers

Content-Type: application/json
Authorization: Bearer ikK3fPkzQLZAouF3BfueZRg8JFH06AGxq9vyuu8a_5U

Body

{
  "future": {
    "status": "out",
    "apply_at": 1782658800,
    "comment": "On Vacation",
    "end_at": 1782918000
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/users/1503/futures" -d '{"future":{"status":"out","apply_at":1782658800,"comment":"On Vacation","end_at":1782918000}}' -X POST \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer ikK3fPkzQLZAouF3BfueZRg8JFH06AGxq9vyuu8a_5U"

Response

Simulated Response

Response Fields

Name Description
futures (object) the newly created future object

Status

201

Headers

etag: W/"2dc0491d4776093e0043564034d05122"

Body

{
  "futures": {
    "id": "50",
    "status": "out",
    "comment": "On Vacation",
    "completed": false,
    "apply_at": 1782658800,
    "end_at": 1782918000,
    "user_id": "1503",
    "changed_by_user_id": "1502"
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1776181597,
      "beacons": 1770828397,
      "desktop_presences": 1774626397,
      "favorites": 1776008797,
      "fences": 1770050797,
      "groups": 1776959197,
      "networks": 1772297197,
      "roles": 1777391197,
      "settings": 1777391197
    },
    "emergency": null
  }
}

Create a future status update for the current user

Add a scheduled status for the current user. Users must have a role that permits managing their own scheduled statuses and the company must have scheduled statuses enabled.

Endpoint

POST /api/v4/users/my/futures

Parameters

Name Description
future[status] required (string) must be 'in', 'remote', 'busy', 'break', 'out', 'sick', or 'vacation'
future[apply_at] required (integer) epoch time to apply status change, must be in the future and have minutes within (00, 15, 30, 45), and seconds of 0
future[comment] (string) up to 50 character description of the status update
future[end_at] (integer) epoch time to end the scheduled status, must be after apply_at, have minutes within (00, 15, 30, 45), and seconds of 0
expand (string) comma-delimited list of extra information to include in the response, possibilities include: 'user', 'changed_by_user'

Request

Route

POST /api/v4/users/my/futures

Headers

Content-Type: application/json
Authorization: Bearer poH-mzqBIokcWEm1B3rmxLLZRgzeppvMRh5QtqWTdRg

Body

{
  "future": {
    "status": "out",
    "apply_at": 1782658800,
    "comment": "On Vacation",
    "end_at": 1782918000
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/users/my/futures" -d '{"future":{"status":"out","apply_at":1782658800,"comment":"On Vacation","end_at":1782918000}}' -X POST \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer poH-mzqBIokcWEm1B3rmxLLZRgzeppvMRh5QtqWTdRg"

Response

Simulated Response

Response Fields

Name Description
futures (object) the newly created future object

Status

201

Headers

etag: W/"0b1321e9f588ee05f580828b1cf1bb34"

Body

{
  "futures": {
    "id": "49",
    "status": "out",
    "comment": "On Vacation",
    "completed": false,
    "apply_at": 1782658800,
    "end_at": 1782918000,
    "user_id": "1493",
    "changed_by_user_id": null
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1769791597,
      "beacons": 1776181597,
      "desktop_presences": 1776440797,
      "favorites": 1771433197,
      "fences": 1776181597,
      "groups": 1774799197,
      "networks": 1770050797,
      "roles": 1777391197,
      "settings": 1777391197
    },
    "emergency": null
  }
}

Create a status update for a user

Changes a user’s status. Users must have a role that permits managing their own current status or their own past statuses if updating themselves. Users must be permitted to manage the current status of others or the past status of others if updating another user.

Endpoint

POST /api/v4/users/:id/statuses

Parameters

Name Description
status[status] required (string) must be 'in', 'remote', 'busy', 'break', 'out', 'sick', or 'vacation'
status[comment] (string) up to 50 character description of the status update
status[created_at] (integer) epoch time to apply status change, defaults to the current time (if this parameter is passed the date must be in the past)
expand (string) comma-delimited list of extra information to include in the response, possibilities include: 'user', 'user.favorites', 'user.latest', 'user.memberships', 'user.phones', 'user.recents', 'changed_by_user', 'application'

Request

Route

POST /api/v4/users/1501/statuses

Headers

Content-Type: application/json
Authorization: Bearer XxZSpzmYvUwCsHqR8QruSB1JJtlDmx9b8wKkdHTTinU

Body

{
  "status": {
    "status": "in",
    "comment": "In at HQ"
  }
}

cURL

curl "https://www.simpleinout.com/api/v4/users/1501/statuses" -d '{"status":{"status":"in","comment":"In at HQ"}}' -X POST \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer XxZSpzmYvUwCsHqR8QruSB1JJtlDmx9b8wKkdHTTinU"

Response

Simulated Response

Response Fields

Name Description
statuses (object) the newly created status object

Status

201

Headers

etag: W/"eb31f483bf4a23e2615c7614f3577f6d"

Body

{
  "statuses": {
    "status": "in",
    "comment": "In at HQ",
    "automatic": false,
    "user_id": "1501",
    "changed_by_user_id": "1500",
    "created_at": 1777391197
  },
  "meta": {
    "last_updated_at": {
      "announcements": 1773071197,
      "beacons": 1769186797,
[...]
